%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

Name:		openstack-heat
Summary:	OpenStack Orchestration (heat)
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:		1
Version:	7.0.6
Release:	7%{?dist}
License:	ASL 2.0
URL:		http://www.openstack.org
Source0:	https://tarballs.openstack.org/heat/heat-%{upstream_version}.tar.gz
Obsoletes:	heat < 7-9
Provides:	heat

Source1:	heat.logrotate
Source2:	openstack-heat-api.service
Source3:	openstack-heat-api-cfn.service
Source4:	openstack-heat-engine.service
Source5:	openstack-heat-api-cloudwatch.service

Source20:	heat-dist.conf

#
# patches_ignore=DROP-IN-RPM
# patches_base=7.0.6
#
Patch0001: 0001-Deal-correctly-with-negative-elapsed-time.patch
Patch0002: 0002-Fix-restore-with-convergence.patch
Patch0003: 0003-Filter-out-resources-not-in-template-when-listing.patch
Patch0004: 0004-Refactor-_needs_update-for-resource.patch
Patch0005: 0005-Don-t-replace-failed-volume-always.patch
Patch0006: 0006-Replace-always-if-resource-is-in-CHECK_FAILED.patch
Patch0007: 0007-Do-not-replace-failed-server-always.patch
Patch0008: 0008-Don-t-replace-failed-neutron-resources-always.patch
Patch0009: 0009-Always-replace-DELETE_COMPLETE-resources-on-update.patch
Patch0010: 0010-New-resource-Neutron-Trunk.patch
Patch0011: 0011-Add-soft-policy-for-nova-server-group.patch
Patch0012: 0012-Supports-direct-physical-and-baremetal-vnic-type-for.patch
Patch0013: 0013-Support-object_type-qos_policy-for-neutron-rbac.patch
Patch0014: 0014-Allow-to-scale-when-group-is-in-CHECK_COMPLETE.patch
Patch0015: 0015-Don-t-use-oslo-incubator-in-glance-client-plugin.patch
Patch0016: 0016-Fix-race-in-ZaqarEventSinkTest.test_events.patch
Patch0017: 0017-Mark-stack-failed-when-exception-raised-in-resource-.patch
Patch0018: 0018-Don-t-try-detach-interface-when-server-not-found.patch
Patch0019: 0019-Don-t-delete-RawTemplate-if-it-referenced-by-a-stack.patch
Patch0020: 0020-Fix-QoS-policy-management.patch
Patch0021: 0021-Fix-non-destructive-upgrade-for-deprecated-res-types.patch
Patch0022: 0022-Fix-reset_stack_status.patch
Patch0023: 0023-Add-OS-Aodh-EventAlarm-resource.patch
Patch0024: 0024-Replace-random-with-SystemRandom-for-RandomString.patch
Patch0025: 0025-Fix-entropy-problems-with-OS-Random-String.patch
Patch0026: 0026-Generate-user-passwords-with-special-characters.patch
Patch0027: 0027-Use-six.text_type-instead-of-str-to-serialise-status.patch
Patch0028: 0028-Ignore-NotFound-error-in-prepare_for_replace.patch
Patch0029: 0029-Ignore-RESOLVE-translation-errors-when-translating-b.patch
Patch0030: 0030-Reset-resource-replaced_by-field-for-rollback.patch
Patch0031: 0031-Don-t-call-update_port-with-empty-dict.patch
Patch0032: 0032-Update-resource-definitions-after-legacy-in-place-up.patch
Patch0033: 0033-Check-for-server-in-attachements-when-checking-for-d.patch
Patch0034: 0034-Catch-socket.timeout-for-connectivity-error-when-str.patch
Patch0035: 0035-Don-t-translate-event-reason-when-adding-hook-event.patch
Patch0036: 0036-Use-empty-list-for-None-values-in-repeat-function.patch

BuildArch: noarch
BuildRequires: git
BuildRequires: python2-devel
BuildRequires: python-stevedore >= 1.16.0
BuildRequires: python-oslo-cache
BuildRequires: python-oslo-context
BuildRequires: python-oslo-middleware
BuildRequires: python-oslo-policy
BuildRequires: python-oslo-messaging
BuildRequires: python-setuptools
BuildRequires: python-oslo-sphinx
BuildRequires: python-oslo-i18n
BuildRequires: python-oslo-db
BuildRequires: python-oslo-utils
BuildRequires: python-oslo-log
BuildRequires: python-oslo-versionedobjects
BuildRequires: python-eventlet
BuildRequires: python-greenlet
BuildRequires: python-httplib2
BuildRequires: python-iso8601
BuildRequires: python-kombu
BuildRequires: python-lxml
BuildRequires: python-netaddr
BuildRequires: python-memcached
BuildRequires: python-migrate
BuildRequires: python-osprofiler
BuildRequires: python-six
BuildRequires: PyYAML
BuildRequires: python-sphinx
BuildRequires: m2crypto
BuildRequires: python-paramiko
BuildRequires: python-yaql
# These are required to build due to the requirements check added
BuildRequires: python-paste-deploy
BuildRequires: python-routes
BuildRequires: python-sqlalchemy
BuildRequires: python-webob
BuildRequires: python-pbr
BuildRequires: python-d2to1
BuildRequires: python-cryptography
# These are required to build the config file
BuildRequires: python-oslo-config >= 2:3.7.0
BuildRequires: python-redis
BuildRequires: python-zmq
BuildRequires: crudini
BuildRequires: python-crypto
BuildRequires: python-keystoneauth1
BuildRequires: python-keystoneclient
# Required to compile translation files
BuildRequires: python-babel

BuildRequires: systemd-units

%if 0%{?with_doc}
BuildRequires: python-cinderclient
BuildRequires: python-novaclient
BuildRequires: python-saharaclient
BuildRequires: python-neutronclient
BuildRequires: python-swiftclient
BuildRequires: python-heatclient
BuildRequires: python-ceilometerclient
BuildRequires: python-glanceclient
BuildRequires: python-troveclient
%endif

Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-engine = %{epoch}:%{version}-%{release}
Requires: %{name}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-api-cfn = %{epoch}:%{version}-%{release}
Requires: %{name}-api-cloudwatch = %{epoch}:%{version}-%{release}

%package -n python-heat-tests
Summary:        Heat tests
Requires:       %{name}-common = %{epoch}:%{version}-%{release}

Requires: python-mox3
Requires: python-oslotest
Requires: python-testresources

%description -n python-heat-tests
Heat is a service to orchestrate composite cloud applications using a
declarative template format through an OpenStack-native REST API.
This package contains the Heat test files.

%prep
%setup -q -n heat-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

# Remove tests in contrib
find contrib -name tests -type d | xargs rm -r

%build
%{__python} setup.py build

# Generate i18n files
%{__python2} setup.py compile_catalog -d build/lib/heat/locale

# Generate sample config and add the current directory to PYTHONPATH so
# oslo-config-generator doesn't skip heat's entry points.
PYTHONPATH=. oslo-config-generator --config-file=config-generator.conf

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
sed -i -e '/^#!/,1 d' %{buildroot}/%{python_sitelib}/heat/db/sqlalchemy/migrate_repo/manage.py
mkdir -p %{buildroot}/var/log/heat/
mkdir -p %{buildroot}/var/run/heat/
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-heat

# install systemd unit files
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/openstack-heat-api.service
install -p -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/openstack-heat-api-cfn.service
install -p -D -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/openstack-heat-engine.service
install -p -D -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/openstack-heat-api-cloudwatch.service

mkdir -p %{buildroot}/var/lib/heat/
mkdir -p %{buildroot}/etc/heat/

%if 0%{?with_doc}
export PYTHONPATH="$( pwd ):$PYTHONPATH"
pushd doc
sphinx-build -b html -d build/doctrees source build/html
sphinx-build -b man -d build/doctrees source build/man

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 build/man/*.1 %{buildroot}%{_mandir}/man1/
popd
%endif

rm -f %{buildroot}/%{_bindir}/heat-db-setup
rm -f %{buildroot}/%{_mandir}/man1/heat-db-setup.*
rm -rf %{buildroot}/var/lib/heat/.dummy
rm -f %{buildroot}/usr/bin/cinder-keystone-setup

install -p -D -m 640 etc/heat/heat.conf.sample %{buildroot}/%{_sysconfdir}/heat/heat.conf
install -p -D -m 640 %{SOURCE20} %{buildroot}%{_datadir}/heat/heat-dist.conf
crudini --set %{buildroot}%{_datadir}/heat/heat-dist.conf revision heat_revision %{version}
install -p -D -m 640 etc/heat/api-paste.ini %{buildroot}/%{_datadir}/heat/api-paste-dist.ini
install -p -D -m 640 etc/heat/policy.json %{buildroot}/%{_sysconfdir}/heat

# TODO: move this to setup.cfg
cp -vr etc/heat/templates %{buildroot}/%{_sysconfdir}/heat
cp -vr etc/heat/environment.d %{buildroot}/%{_sysconfdir}/heat

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python2_sitelib}/heat/locale/*/LC_*/heat*po
rm -f %{buildroot}%{python2_sitelib}/heat/locale/*pot
mv %{buildroot}%{python2_sitelib}/heat/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang heat --all-name

%description
Heat is a service to orchestrate composite cloud applications using a
declarative template format through an OpenStack-native REST API.

%package common
Summary: Heat common
Group: System Environment/Base

Requires: python-pbr
Requires: python-croniter
Requires: python-eventlet
Requires: python-stevedore >= 1.16.0
Requires: python-greenlet
Requires: python-httplib2
Requires: python-iso8601
Requires: python-kombu
Requires: python-lxml
Requires: python-netaddr
Requires: python-osprofiler
Requires: python-paste-deploy
Requires: python-posix_ipc
Requires: python-memcached
Requires: python-requests
Requires: python-routes
Requires: python-sqlalchemy
Requires: python-migrate
Requires: python-webob
Requires: python-six >= 1.9.0
Requires: PyYAML
Requires: python-anyjson
Requires: python-paramiko
Requires: python-babel >= 2.3.4
Requires: python-cryptography >= 1.0
Requires: python-yaql >= 1.1.0

Requires: python-oslo-cache
Requires: python-oslo-concurrency
Requires: python-oslo-config >= 2:3.14.0
Requires: python-oslo-context
Requires: python-oslo-utils
Requires: python-oslo-db
Requires: python-oslo-i18n
Requires: python-oslo-middleware
Requires: python-oslo-messaging
Requires: python-oslo-policy
Requires: python-oslo-reports
Requires: python-oslo-serialization
Requires: python-oslo-service
Requires: python-oslo-log
Requires: python-oslo-versionedobjects

Requires: python-ceilometerclient
Requires: python-cinderclient
Requires: python-glanceclient
Requires: python-heatclient
Requires: python-keystoneclient
Requires: python-keystonemiddleware
Requires: python-neutronclient
Requires: python-novaclient
Requires: python-saharaclient
Requires: python-swiftclient
Requires: python-troveclient

Requires: python-debtcollector >= 1.2.0
Requires: python-keystoneauth1 >= 2.10.0
Requires: python-crypto >= 2.6
Requires: python-barbicanclient >= 4.0.0
Requires: python-designateclient >= 1.5.0
Requires: python-manilaclient >= 1.10.0
Requires: python-mistralclient >= 2.0.0
Requires: python-openstackclient >= 2.1.0
Requires: python-zaqarclient >= 1.0.0
Requires: python-aodhclient >= 0.5.0
Requires: python-magnumclient >= 2.0.0
Requires: pytz
Requires: python-retrying >= 1.2.3

Requires(pre): shadow-utils

%description common
Components common to all OpenStack Heat services

%files common -f heat.lang
%doc LICENSE
%{_bindir}/heat-manage
%{_bindir}/heat-keystone-setup
%{_bindir}/heat-keystone-setup-domain
%{python2_sitelib}/heat
%{python2_sitelib}/*.egg-info
%exclude %{python2_sitelib}/heat/tests
%attr(-, root, heat) %{_datadir}/heat/heat-dist.conf
%attr(-, root, heat) %{_datadir}/heat/api-paste-dist.ini
%dir %attr(0750,heat,root) %{_localstatedir}/log/heat
%dir %attr(0755,heat,root) %{_localstatedir}/run/heat
%dir %attr(0755,heat,root) %{_sharedstatedir}/heat
%dir %attr(0755,heat,root) %{_sysconfdir}/heat
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-heat
%config(noreplace) %attr(-, root, heat) %{_sysconfdir}/heat/heat.conf
%config(noreplace) %attr(-, root, heat) %{_sysconfdir}/heat/policy.json
%config(noreplace) %attr(-,root,heat) %{_sysconfdir}/heat/environment.d/*
%config(noreplace) %attr(-,root,heat) %{_sysconfdir}/heat/templates/*
%if 0%{?with_doc}
%{_mandir}/man1/heat-keystone-setup.1.gz
%{_mandir}/man1/heat-keystone-setup-domain.1.gz
%{_mandir}/man1/heat-manage.1.gz
%endif

%files -n python-heat-tests
%license LICENSE
%{python2_sitelib}/heat/tests
%{python2_sitelib}/heat_integrationtests

%pre common
# 187:187 for heat - rhbz#845078
getent group heat >/dev/null || groupadd -r --gid 187 heat
getent passwd heat  >/dev/null || \
useradd --uid 187 -r -g heat -d %{_sharedstatedir}/heat -s /sbin/nologin \
-c "OpenStack Heat Daemons" heat
exit 0

%package engine
Summary: The Heat engine

Requires: %{name}-common = %{epoch}:%{version}-%{release}

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description engine
Heat is a service to orchestrate composite cloud applications using a
declarative template format through an OpenStack-native REST API.

The heat-engine's main responsibility is to orchestrate the launching of
templates and provide events back to the API consumer.

%files engine
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/heat-engine.html
%endif
%{_bindir}/heat-engine
%{_unitdir}/openstack-heat-engine.service
%if 0%{?with_doc}
%{_mandir}/man1/heat-engine.1.gz
%endif

%post engine
%systemd_post openstack-heat-engine.service

%preun engine
%systemd_preun openstack-heat-engine.service

%postun engine
%systemd_postun_with_restart openstack-heat-engine.service


%package api
Summary: The Heat API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description api
Heat is a service to orchestrate composite cloud applications using a
declarative template format through an OpenStack-native REST API.

The heat-api component provides an OpenStack-native REST API that processes API
requests by sending them to the heat-engine over RPC.

%files api
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/heat-api.html
%endif
%{_bindir}/heat-api
%{_bindir}/heat-wsgi-api
%{_unitdir}/openstack-heat-api.service
%if 0%{?with_doc}
%{_mandir}/man1/heat-api.1.gz
%endif

%post api
%systemd_post openstack-heat-api.service

%preun api
%systemd_preun openstack-heat-api.service

%postun api
%systemd_postun_with_restart openstack-heat-api.service


%package api-cfn
Summary: Heat CloudFormation API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description api-cfn
Heat is a service to orchestrate composite cloud applications using a
declarative template format through an OpenStack-native REST API.

The heat-api-cfn component provides an AWS Query API that is compatible with
AWS CloudFormation and processes API requests by sending them to the
heat-engine over RPC.

%files api-cfn
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/heat-api-cfn.html
%endif
%{_bindir}/heat-api-cfn
%{_bindir}/heat-wsgi-api-cfn
%{_unitdir}/openstack-heat-api-cfn.service
%if 0%{?with_doc}
%{_mandir}/man1/heat-api-cfn.1.gz
%endif

%post api-cfn
%systemd_post openstack-heat-api-cloudwatch.service

%preun api-cfn
%systemd_preun openstack-heat-api-cloudwatch.service

%postun api-cfn
%systemd_postun_with_restart openstack-heat-api-cloudwatch.service


%package api-cloudwatch
Summary: Heat CloudWatch API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description api-cloudwatch
Heat is a service to orchestrate composite cloud applications using a
declarative template format through an OpenStack-native REST API.

AWS CloudWatch-compatible API to the Heat Engine

%files api-cloudwatch
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/heat-api-cloudwatch.html
%endif
%{_bindir}/heat-api-cloudwatch
%{_bindir}/heat-wsgi-api-cloudwatch
%{_unitdir}/openstack-heat-api-cloudwatch.service
%if 0%{?with_doc}
%{_mandir}/man1/heat-api-cloudwatch.1.gz
%endif

%post api-cloudwatch
%systemd_post openstack-heat-api-cfn.service

%preun api-cloudwatch
%systemd_preun openstack-heat-api-cfn.service

%postun api-cloudwatch
%systemd_postun_with_restart openstack-heat-api-cfn.service


%changelog
* Thu Apr 04 2019 Rabi Mishra <ramishra@redhat.com> 1:7.0.6-7
- Use empty list for None values in repeat function (rhbz#1689237)

* Mon Feb 18 2019 Rabi Mishra <ramishra@redhat.com> 1:7.0.6-6
- Don't translate event reason when adding hook event (rhbz#1678225)
- Catch socket.timeout for connectivity error when streaming (rhbz#1661246)

* Fri Oct 26 2018 Rabi Mishra <ramishra@redhat.com> 1:7.0.6-5
- Check for server in attachements when checking for detach complete (rhbz#1631358)
- Update resource definitions after legacy in-place update (rhbz#1622612)
- Don't call update_port with empty dict (rhbz#1631349)

* Fri Aug 03 2018 rabi <ramishra@redhat.com> 1:7.0.6-4
- Ignore RESOLVE translation errors when translating before_props (rhbz#1600411)
- Ignore NotFound error in prepare_for_replace (rhbz#1600411)
- Use six.text_type() instead of str() to serialise status (rhbz#1602332)
- Generate user passwords with special characters (rhbz#1556946)
- Fix entropy problems with OS::Random::String
- Replace random with SystemRandom for RandomString

* Mon Apr 23 2018 rabi <ramishra@redhat.com> 1:7.0.6-3
- Add OS::Aodh::EventAlarm resource
- Fix reset_stack_status (rhbz#1445484)
- Fix non-destructive upgrade for deprecated res types in convergence

* Wed Nov 08 2017 Thomas Herve <therve@redhat.com> 1:7.0.6-2
- Fix QoS policy management (rhbz#1494264)

* Tue Oct 24 2017 Jason Joyce <jjoyce@redhat.com> 1:7.0.6-1
- Don't delete RawTemplate if it referenced by a stack
- Don't try detach interface when server not found
- Mark stack failed when exception raised in resource check
- Fix race in ZaqarEventSinkTest.test_events
- Don't use oslo-incubator in glance client plugin
- Update to 7.0.6

* Tue Oct 17 2017 rabi <ramishra@redhat.com> 1:7.0.5-4
- Allow to scale when group is in CHECK_COMPLETE (rhbz#1500599)
- Support object_type 'qos_policy' for neutron rbac (rhbz#1494264)
- Supports 'direct-physical' and 'baremetal' vnic type for port (rhbz#1498513)

* Tue Oct 03 2017 Zane Bitter <zbitter@redhat.com> 1:7.0.5-3
- Avoid always replacing a failed server (rhbz#1488211)
- Always replace DELETE_COMPLETE resources on update (rhbz#1492034)
- Add Neutron (VLAN) Trunk support (rhbz#1477109)
- Allow soft policies for Nova ServerGroup (rhbz#1480338)

* Thu Sep 07 2017 Jason Joyce <jjoyce@redhat.com> 1:7.0.5-2
- Filter out resources not in template when listing
- Don't load new copies of current resources

* Thu Aug 03 2017 Steve Linabery <slinaber@redhat.com> 1:7.0.5-1
- Update to 7.0.5

* Mon Jun 26 2017 Zane Bitter <zbitter@redhat.com> 1:7.0.3-3
- Fix snapshot/restore (rhbz#1438137)

* Mon Jun 12 2017 Zane Bitter <zbitter@redhat.com> 1:7.0.3-2
- Don't set Heat server urls to localhost in heat-dist.conf (rhbz#1452677)
- Fix failed updates with changing template versions (rhbz#1443186)
- Don't replace ResourceGroup after stack-check fails (rhbz#1459854)
- Don't immediately timeout when negative clock skew observed (rhbz#1427969)

* Fri May 19 2017 Jason Joyce <jjoyce@redhat.com> 1:7.0.3-1
- Update to 7.0.3

* Thu Apr 20 2017 Zane Bitter <zbitter@redhat.com> 1:7.0.2-5
- Avoid errors with using swiftclient version 3.2.0 and up
- Fix issue with storing borderline-oversize properties in events (rhbz#1430324)
- Improve reporting of error in outputs of nested stacks (rhbz#1428968)

* Wed Mar 15 2017 Zane Bitter <zbitter@redhat.com> 1:7.0.2-4
- Don't log responses in heat-api (rhbz#1424886)
- Wait for hooks even when resource is failed (rhbz#1428877)

* Fri Mar 10 2017 Jon Schlueter <jschluet@redhat.com> 1:7.0.2-3
- rebase to stable/newton (rhbz#1431258)
- Try to fix local.conf creation in tests
- map_replace allow noop colliding replacements
- Use region_name when creating keystone client (rhbz#1428632)
- ResourceGroup fix issue with batch create and zero count
- Efficient passing of attrs during traversals

* Tue Feb 28 2017 Jason Joyce <jjoyce@redhat.com> 1:7.0.2-2
- Fix log dir world readable (rhbz#1420997)

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 1:7.0.2-1
- Update to 7.0.2 (rhbz#1421766)

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 1:7.0.1-2
- Imported Translations from Zanata
- Updated from global requirements
- Release resource lock when executing reset_stack_status (lp#1622533)
- Imported Translations from Zanata
- Don't validate address when using get_attr (lp#1646633)
- Do not throw an exception if stack outputs is not set (lp#1638741)
- Use upper constraints for all jobs in tox.ini (lp#1614361)
- Remove extra resource definition loading

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 1:7.0.1-1
- Update to 7.0.1 (rhbz#1412903)

* Thu Nov 17 2016 Jason Joyce <jjoyce@redhat.com> 1:7.0.0-7
- Raise TypeError when a bool property has int value
- Don't operate queue if it was not found
- Fix resource-list with nested_depth in convergence

* Mon Nov 14 2016 Jason Joyce <jjoyce@redhat.com> 1:7.0.0-6
- Updated from global requirements
- Make FloatingIP depend on all RouterInterfaces again
- Fix resource_signal with convergence

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 1:7.0.0-5
- Prevent template validate from scanning ports (CVE-2016-9185)
- dd missing memory.resident to NOVA_METERS
- Add info to docs about heat devstack plugin
- Remove unnecessary install_heat_other
- Add workaround for functions in translation

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 1:7.0.0-4
- Imported Translations from Zanata

* Wed Oct 19 2016 Jon Schlueter <jschluet@redhat.com> 1:7.0.0-3
- Use RPC to retrieve nested stack output
- Avoid loading nested stacks in memory where possible
- Keep same physical_resource_name in backup stack
- Add http_proxy_to_wsgi middleware to Heat CFN endpoint

* Wed Oct 12 2016 Jon Schlueter <jschluet@redhat.com> 1:7.0.0-2
- Imported Translations from Zanata
- Create a root Yaql context
- Pass region_name to session client
- Use __slots__ in ResourceInfo classes
- Don't get derived config if resource ID unset

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:7.0.0-1
- Update to 7.0.0

* Thu Sep 29 2016 Alan Pevec <alan.pevec@redhat.com> 1:7.0.0-0.3.0rc2
- Update to 7.0.0.0rc2

* Thu Sep 22 2016 Alfredo Moralejo <amoralej@redhat.com> 1:7.0.0-0.2.0rc1
- Update to 7.0.0.0rc1

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:7.0.0-0.1.0b2
- Update to 7.0.0.0b2
